Bug 318141 - cant install or uninstall any package plz help
Summary: cant install or uninstall any package plz help
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut   
(Show other bugs)
Version: 7
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-04 12:16 UTC by Eltayeb Giballa
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-05 14:16:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug report (2.18 KB, text/plain)
2007-10-04 12:16 UTC, Eltayeb Giballa
no flags Details

Description Eltayeb Giballa 2007-10-04 12:16:25 UTC
Component: pirut
Summary: TB8f5a3431 yumRepo.py:749:_getRepoXML:RepoError: Cannot retrieve 
repository metadata (repomd.xml) for repository: livna-development. Please 
verify its path and try again

Traceback (most recent call last):
  File "/usr/sbin/pup", line 650, in <module>
    main()
  File "/usr/sbin/pup", line 643, in main
    pup = PackageUpdater(not options.autoapply, options.config)
  File "/usr/sbin/pup", line 88, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 124, in 
__init__
    self.reset()
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 223, in reset
    self.doTsSetup()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 64, in 
doTsSetup
    return self._getTs()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 78, in _getTs
    self._tsInfo.setDatabases(self.rpmdb, self.pkgSack)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 521, in 
<lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 381, in 
_getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 239, in 
populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 142, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 199, in 
_check_db_version
    if repo.repoXML.repoData.has_key(mdtype):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 753, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 749, in 
_getRepoXML
    raise Errors.RepoError, (msg)
RepoError: Cannot retrieve repository metadata (repomd.xml) for repository: 
livna-development. Please verify its path and try again

Local variables in innermost frame:
msg: Cannot retrieve repository metadata (repomd.xml) for repository: 
livna-development. Please verify its path and try again
self: livna-development
e: Cannot find a valid baseurl for repo: livna-development

Comment 1 Eltayeb Giballa 2007-10-04 12:16:25 UTC
Created attachment 215711 [details]
Bug report

Comment 2 Jeremy Katz 2007-10-05 14:16:28 UTC
You seem to have the livna-development repository enabled but are unable to
contact it.  Please veirfy the contents of your repo configs in /etc/yum.repos.d


Note You need to log in before you can comment on or make changes to this bug.